<!DOCTYPE html>
<html>
<head>
   <title>JQuery</title>
   <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
</head>
<style>
td,th,table{
    border: 1px solid black;
    margin:auto;
}
</style>
<script>
    $(document).ready(function() {
        let peopleSalary = [
            {"id":"1001","firstname":"Luke","lastname":"Skywalker","company":"Walt Disney","salary":"40000"},
            {"id":"1002","firstname":"Tony","lastname":"Stark","company":"Marvel","salary":"1000000"},
            {"id":"1003","firstname":"Somchai","lastname":"Jaidee","company":"Love2work","salary":"20000"},
            {"id":"1004","firstname":"Monkey D","lastname":"Luffee","company":"One Piece","salary":"9000000"}
        ];

        $('#myTable').append($('<tr>'));
        for (let k in peopleSalary[0]) {
            if(k!=="company"){
                $('#myTable').append($('<th>' + k + '</th>'));
            }
        }
        $('#myTable').append($('</tr>'));

        let salary=[];
        for (let i in peopleSalary) {
            console.log(peopleSalary[i]);
            $('#myTable').append($('<tr>'));
            for (let j in peopleSalary[i]) {
                if(j!=="company"){
                    console.log(j + " : " + peopleSalary[i][j]);
                    $('#myTable').append($('<td>' + peopleSalary[i][j] + '</td>'));
                }
            }
            $('#myTable').append($('</tr>'));
        }    
    });
</script>
<body>
   <table id="myTable"></table>
</body>
</html>
